Page MenuHomePhabricator

Force usage of MCR aware database schema
Closed, ResolvedPublic1 Story Points

Description

By the next release (1.34), MediaWiki should no longer support writing to only the MCR-unaware legacy revision storage schema.

RevisionStore already has several checks for $mcrMigrationStage in the constructor. This means that it should now fail if SCHEMA_COMPAT_WRITE_NEW is not set.

See also T231673: Make SCHEMA_COMPAT_NEW the default MCR migration schema.

Event Timeline

daniel triaged this task as Normal priority.Jan 21 2019, 2:40 PM
daniel created this task.
Krinkle added a subscriber: Krinkle.

Per T198557#5247134, no longer aimed at MW 1.33. (Not adding MW 1.34, because the parent task tracks that already.)

WDoranWMF moved this task from MCR to mop on the Core Platform Team board.Jul 26 2019, 6:39 PM
Krinkle removed a subscriber: Krinkle.Aug 27 2019, 2:10 PM
daniel updated the task description. (Show Details)

Why is this tagged Wikidata? Is Wikibase incompatible with the new schema or something? (It looks like production is currently configured to write both but read new – perhaps Wikibase still reads old somewhere?)

Why is this tagged Wikidata? Is Wikibase incompatible with the new schema or something? (It looks like production is currently configured to write both but read new – perhaps Wikibase still reads old somewhere?)

I think this was just inherited. T231668 has been under the Wikidata umbrella because of SDC. I'll untag.

daniel updated the task description. (Show Details)Mon, Sep 23, 5:29 PM

Change 538977 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/core@master] Force usage of MCR aware database schema

https://gerrit.wikimedia.org/r/538977

Change 538977 merged by jenkins-bot:
[mediawiki/core@master] Force usage of MCR aware database schema

https://gerrit.wikimedia.org/r/538977

Clarakosi closed this task as Resolved.Fri, Sep 27, 6:24 PM
Clarakosi claimed this task.
Clarakosi moved this task from Doing to Done on the Core Platform Team Workboards (Purple) board.

Change 539609 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/core@master] Remove tests that were skipped for MCR-enabled schema

https://gerrit.wikimedia.org/r/539609

Change 539609 merged by jenkins-bot:
[mediawiki/core@master] Remove tests that were skipped for MCR-enabled schema

https://gerrit.wikimedia.org/r/539609